Name:           avalon-framework
Epoch:          1
Version:        4.3
Release:        %mkrel 22
Group:          Development/Java
Summary:        Java components interfaces
License:        ASL 2.0
URL:            http://avalon.apache.org/
BuildArch:    	noarch

Source0:        http://archive.apache.org/dist/excalibur/avalon-framework/source/%{name}-api-%{version}-src.tar.gz
Source1:        http://archive.apache.org/dist/excalibur/avalon-framework/source/%{name}-impl-%{version}-src.tar.gz

Patch0001:      0001-Port-build-script-to-Maven-3.patch

BuildRequires:  maven-local
BuildRequires:  mvn(avalon-logkit:avalon-logkit)
BuildRequires:  mvn(commons-logging:commons-logging)
BuildRequires:  mvn(log4j:log4j)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)


%description
The Avalon framework consists of interfaces that define relationships
between commonly used application components, best-of-practice pattern
enforcements, and several lightweight convenience implementations of the
generic components.
What that means is that we define the central interface Component. We
also define the relationship (contract) a component has with peers,
ancestors and children.

%package javadoc
Summary:      API documentation %{name}

%description javadoc
%{summary}.

%prep
%setup -qcT
tar xvf %{SOURCE0}
tar xvf %{SOURCE1}
%patch0001 -p1

%mvn_package :aggregator __noinstall
%mvn_file ":*api*" %{name}-api
%mvn_file ":*impl*" %{name}-impl %{name}

# Add proper Apache Felix Bundle Plugin instructions
# so that we get a reasonable OSGi manifest.
for mod in api impl; do
    %pom_xpath_inject pom:project "<packaging>bundle</packaging>" *${mod}*/project.xml
    %pom_xpath_inject pom:build "
      <plugins>
        <plugin>
          <groupId>org.apache.felix</groupId>
          <artifactId>maven-bundle-plugin</artifactId>
          <extensions>true</extensions>
          <configuration>
            <instructions>
              <Bundle-SymbolicName>avalon-framework-${mod}-4.3</Bundle-SymbolicName>
              <_nouses>true</_nouses>
            </instructions>
          </configuration>
        </plugin>
      </plugins>" *${mod}*/project.xml
done

%mvn_alias 'avalon-framework:{*}' 'org.apache.avalon.framework:@1'

%build
# Test use old jmock
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license avalon-framework-api-4.3/LICENSE.txt
%license avalon-framework-api-4.3/NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license avalon-framework-api-4.3/LICENSE.txt
%license avalon-framework-api-4.3/NOTICE.txt




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1:4.3-22.mga8
+ Revision: 1506953
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 daviddavid <daviddavid> 1:4.3-21.mga7
+ Revision: 1287241
- Add org.apache.avalon.framework: aliases

* Tue Sep 18 2018 umeabot <umeabot> 1:4.3-20.mga7
+ Revision: 1261442
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1:4.3-19.mga7
+ Revision: 1260219
- Mageia 7 Mass Rebuild

* Sun May 21 2017 neoclust <neoclust> 1:4.3-18.mga6
+ Revision: 1104009
- Rebuild because of missing rpm
- Fix epoch for update from mga5

* Sun May 14 2017 neoclust <neoclust> 0:4.3-17.mga6
+ Revision: 1101240
- Build with Maven

* Wed Mar 02 2016 neoclust <neoclust> 1:4.3-17.mga6
+ Revision: 982130
- Second rebuild of the java stack

* Fri Feb 26 2016 neoclust <neoclust> 1:4.3-16.mga6
+ Revision: 979298
- Rebuild on release

* Sun Feb 21 2016 neoclust <neoclust> 0:4.3-15.mga6
+ Revision: 975469
- First rebuild of the java stack
- sync package avalon-framework with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Jan 18 2015 dmorgan <dmorgan> 1:4.3-11.mga5
+ Revision: 811346
- Sync with Fc21
+ pterjan <pterjan>
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1:4.3-8.mga5
+ Revision: 747041
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:4.3-7.mga5
+ Revision: 678071
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:4.3-6.mga4
+ Revision: 502978
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1:4.3-5.mga3
+ Revision: 346701
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 dmorgan <dmorgan> 1:4.3-4.mga3
+ Revision: 323239
- Build with java7

* Wed Jul 04 2012 dmorgan <dmorgan> 1:4.3-3.mga3
+ Revision: 267151
- Increase Epoch to fix update from mdv

* Wed Jul 04 2012 dmorgan <dmorgan> 0:4.3-3.mga3
+ Revision: 267144
- Fix use of aqlib
- Increase Epoch to fix update from mdv

* Mon Aug 01 2011 dmorgan <dmorgan> 0:4.3-2.mga2
+ Revision: 131241
- Add compatibility depmap for org.apache.avalon.framework groupId
- Convert jars to OSGi bundles using aqute-bndlib.

* Tue Jul 19 2011 dmorgan <dmorgan> 0:4.3-1.mga2
+ Revision: 126142
- Latest version
- Split into two jars, provide backward compatible symlink
- Cleanups according to new guidelines

* Wed Apr 27 2011 dmorgan <dmorgan> 0:4.1.4-10.mga1
+ Revision: 92256
- Rebuild after bootstrapping
- imported package avalon-framework


* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:4.1.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 29 2010 Alexander Kurtakov <akurtako@redhat.com> 0:4.1.4-7
- Drop gcj.
- Use global.
- No versioned jars.
- Fix permissions.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:4.1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:4.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0:4.1.4-4
- drop repotag
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0:4.1.4-3jpp.14
- Autorebuild for GCC 4.3

* Thu Mar 08 2007 Permaine Cheung <pcheung at redhat.com> - 0:4.1.4-2jpp.14
- rpmlint cleanup.

* Thu Aug 10 2006 Matt Wringe <mwringe at redhat.com> - 0:4.1.4-2jpp.13
- Add missing javadoc requires

* Sat Jul 22 2006 Jakub Jelinek <jakub@redhat.com> - 0:4.1.4-2jpp_12fc
- Rebuilt

* Wed Jul 19 2006 Matt Wringe <mwringe at redhat.com> - 0:4.1.4-2jpp_11fc
- Removed separate definition of name, version and release.

* Wed Jul 19 2006 Matt Wringe <mwringe at redhat.com> - 0:4.1.4-2jpp_10fc
- Added conditional native compling.

* Thu Jun  8 2006 Deepak Bhole <dbhole@redhat.com> - 0:4.1.4-2jpp_9fc
- Updated description for fix to Bug# 170999

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 0:4.1.4-2jpp_8fc
- stop scriptlet spew

* Wed Dec 21 2005 Gary Benson <gbenson@redhat.com> 0:4.1.4-2jpp_7fc
- Rebuild again

* Thu Dec 15 2005 Gary Benson <gbenson@redhat.com> 0:4.1.4-2jpp_6fc
- Rebuild for new gcj.

* Thu Nov  4 2004 Gary Benson <gbenson@redhat.com> 0:4.1.4-2jpp_5fc
- Build into Fedora.

* Thu Oct 28 2004 Gary Benson <gbenson@redhat.com> 0:4.1.4-2jpp_4fc
- Bootstrap into Fedora.

* Thu Sep 30 2004 Andrew Overholt <overholt@redhat.com> 0:4.1.4-2jpp_3rh
- Remove avalon-logkit as a Requires

* Mon Mar  8 2004 Frank Ch. Eigler <fche@redhat.com> 0:4.1.4-2jpp_2rh
- RH vacuuming part II

* Fri Mar  5 2004 Frank Ch. Eigler <fche@redhat.com> 0:4.1.4-2jpp_1rh
- RH vacuuming

* Fri May 09 2003 David Walluck <david@anti-microsoft.org> 0:4.1.4-2jpp
- update for JPackage 1.5

* Fri Mar 21 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 4.1.4-1jpp
- For jpackage-utils 1.5
- Forrest is not used right now

* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.1.2-3jpp 
- hardcoded distribution and vendor tag
- group tag again

* Thu May 2 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.1.2-2jpp 
- distribution tag
- group tag

* Sun Feb 03 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.1.2-1jpp 
- 4.1.2
- section macro

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.1-2jpp
- versioned dir for javadoc
- no dependencies for manual and javadoc packages
- requires xml-commons-apis

* Wed Dec 12 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.1-1jpp
- 4.1
- Requires and BuildRequires xalan-j2

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.0-4jpp
- javadoc into javadoc package

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 4.0-3jpp
- changed extension --> jpp

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.0-2jpp
- first unified release
- used original tarball

* Thu Sep 13 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.0-1mdk
- first Mandrake release
